# [for (X)Emacs] -*- coding: utf-8 -*-

Summary: A different version of Emacs.
Name: xemacs
Version: 21.4.15
Release: 11.EL4
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.xemacs.org/xemacs-21.4/xemacs-%{version}.tar.bz2
Source6: xemacs.desktop
Source9: xemacs-sitestart.el
#Used for cleaning finder-inf.el when it needs compilation
Source22: delprevline.py
Source23: dotxemacs-init.el
Source24: default.el
#Source25: lang-coding-systems-init.el
Patch5: xemacs-21-cursor.patch
Patch10: xemacs-21.4.10-find-paths-pkgdir.patch
Patch11: movemail-mktemp.patch
Patch13: configure-ppc-ldscript.patch
Patch14: menubar-games.patch
Patch15: xemacs-21.4.12-find-paths-libexec-lib64.patch
Patch16: xemacs-21.4.12-mk-nochk-features.patch
Patch18: xemacs-21.4.13-dump-paths-lispdir.patch
Patch19: xemacs-21.4.13-utf8-fontsets.patch
#Patch20: xemacs-21.4.13-regexp-stack-overflow-107402.patch
Patch21: xemacs-debian-docdir-dump.patch
Patch22: xemacs-21.4.15-pui-120437.patch
Patch23: xemacs-no-expdyn-ia64-106744.patch
Patch24: xemacs-21.4.15-wnnfix-128362.patch
Patch25: xemacs-21.4.16-xutil-keysym-144601.patch
Patch26: xemacs21-movemail-popfmt-CAN-2005-0100.patch
Patch27: xemacs-21.4.1.17-lockupfix.patch
Patch28: xemacs-21.5.19-font-crash.patch

URL: http://www.xemacs.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xemacs-sumo >= 20030414
BuildRequires: perl python autoconf213
BuildRequires: XFree86-devel ncurses-devel gpm-devel
BuildRequires: pam-devel zlib-devel libjpeg-devel glibc-devel 
BuildRequires: libpng-devel libtiff-devel 
BuildRequires: Canna-devel
BuildRequires: FreeWnn-devel 
#BuildRequires: postgresql-devel db4-devel openldap-devel krb5-devel
%{?_with_gtk:BuildRequires: gtk+-devel}
%{!?_with_gtk:BuildRequires: Xaw3d-devel}
Requires: xemacs-sumo >= 20030414, xemacs-common = %{version}-%{release}
Obsoletes: xemacs-extras xemacs-noX xemacs-X11 xemacs-mule xemacs-static

%description 
XEmacs is a highly customizable open source text editor and
application development system. It is protected under the
GNU Public License and related to other versions of Emacs,
in particular GNU Emacs. Its emphasis is on modern graphical
user interface support and an open software development
model, similar to Linux.

This package contains xemacs built for X Windows with MULE support.

%package common
Summary: The byte-compiled lisp files and other common files for XEmacs.
Group: Applications/Editors
PreReq: %{_sbindir}/alternatives

%description common
XEmacs is a highly customizable open source text editor and
application development system. It is protected under the
GNU Public License and related to other versions of Emacs,
in particular GNU Emacs. Its emphasis is on modern graphical
user interface support and an open software development
model, similar to Linux.

This package contains byte-compiled lisp and other common files for XEmacs.

%package nox
Summary: The .el source files for XEmacs.
Group: Applications/Editors
Requires: xemacs-common = %{version}-%{release}, xemacs-sumo

%description nox
XEmacs is a highly customizable open source text editor and
application development system. It is protected under the
GNU Public License and related to other versions of Emacs,
in particular GNU Emacs. Its emphasis is on modern graphical
user interface support and an open software development
model, similar to Linux.

This package contains XEmacs built without X Windows support.

%package el
Summary: The .el source files for XEmacs.
Group: Applications/Editors

%description el
XEmacs is a highly customizable open source text editor and
application development system. It is protected under the
GNU Public License and related to other versions of Emacs,
in particular GNU Emacs. Its emphasis is on modern graphical
user interface support and an open software development
model, similar to Linux.

This package contains the lisp source files for XEmacs.

%package info
Summary: Information files for XEmacs.
Group: Applications/Editors
Requires: xemacs = %{version}
PreReq: /sbin/install-info

%description info
XEmacs is a highly customizable open source text editor and
application development system. It is protected under the
GNU Public License and related to other versions of Emacs,
in particular GNU Emacs. Its emphasis is on modern graphical
user interface support and an open software development
model, similar to Linux.

This package contains the XEmacs manuals in info format.


%define pkgdir %{_datadir}/xemacs
%define exectop %{_libdir}/xemacs-%{version}

%prep
%setup -q

## Lisp patches ## 
# make find-paths.el look in datadir
rm lisp/find-paths.elc
%patch10 -p1 -b .pkgdir
# fix "libexec" on multilib
%ifarch x86_64 s390x
%patch15 -p1 -b .lib64
%endif
# remove game we shouldn't ship
%patch14 -p1 -b .games
# make lisp dir and mule-lisp dir be the source lisp dirs (not in datadir)
%patch18 -p1 -b .lispdir
rm lisp/dump-paths.elc
sed -i -e "s|\@srcdir\@|$PWD|" lisp/dump-paths.el
# fix problems with pui in 21.4.15
%patch22 -p0 -b .orig

## non-Lisp patches ##
%patch5 -p1 -b .cursor
# movemail
%patch11 -p1 -b .mkstemp
#ifarch ppc
# avoid ppc.ldscript
%patch13 -p1 -b .ppcldscript
#endif
# skip redundant check-features
%patch16 -p1 -b .feature-chk
# fix missing charsets warning with Xaw/UTF-8
## no backup file (see #115270)
%patch19 -p1
# fix regexp match stack overflow
#%%patch20 -p1 -b .stackover
# look for dump file docdir/DUMP as well as bindir/xemacs.dmp
%patch21 -p1 -b .docdmp
%ifarch ia64
# don't link with -dynamic-export on ia64
%patch23 -p1 -b .dyn-exp
%endif
# remove cwnn symbols
%patch24 -p1 -b .cwnn
# workaround xorg-x11 modifier issue
%patch25 -p0 -b .modifier
# fix format string vulnerability in movemail
%patch26 -p1 -b .fmtstr
%patch27 -p1 -b .lockupfix
%patch28 -p1 -b .crash
# patch13 and patch21 touch configure.in, and patch23 touches aclocal.m4
autoconf-2.13

%build
export CFLAGS="${CFLAGS:-%optflags}"

## build without X
#
# XEmacs still uses Autoconf 2.13 and doesn't know --sbindir, --sysconfdir, --includedir, --libexecdir, --localstatedir, --sharedstatedir
# NB1 docdir requires trailing slash
# NB2 datadir has to be defined because it defaults to /usr/lib
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--docdir=%{exectop}/doc-nox/ \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--with-gpm=yes \
	--with-sound=no \
	--with-pop \
	--mail-locking=lockf \
	--with-clash-detection \
	%{?_without_debug:--debug=no} \
	%{!?_without_debug:--debug=yes} \
	--with-x11=no \
	%{!?_without_mule:--with-mule=yes} --with-canna=no --with-wnn=no \
	--with-xim=no \
	--with-database=no \
	--with-postgresql=no \
	--with-ldap=no \
	--with-hesiod=no \
	--with-msw=no \
%ifarch alpha ia64 ppc64
	--with-system-malloc \
%endif
%ifarch ia64
	--without-modules \
%endif
	--pdump

# toplevel smp build fails
make %{?_smp_mflags} -C lib-src
#make src/Emacs.ad.h
make %{?_smp_mflags} -C src
EMACSLOADPATH=$PWD/lisp make # EMACSDEBUGPATHS=yes
mv lib-src/DOC{,-nox}
mv src/xemacs{,-nox-%{version}}
mv src/{xemacs.dmp,DUMP-nox}
mv lib-src/config.values{,-nox}

#make clean

## build with X
#
# XEmacs still uses Autoconf 2.13 and doesn't know --sbindir, --sysconfdir, --includedir, --libexecdir, --localstatedir, --sharedstatedir
# NB1 docdir requires trailing slash
# NB2 datadir has to be defined because it defaults to /usr/lib
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--docdir=%{exectop}/doc/ \
	--infodir=%{_infodir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--with-gpm=yes \
	--with-sound=native \
	--with-pop \
	--mail-locking=lockf \
	--with-clash-detection \
	%{?_without_debug:--debug=no} \
	%{!?_without_debug:--debug=yes} \
	%{!?_without_mule:--with-mule=yes --with-canna=yes --with-wnn=yes --with-xim=xlib} \
	--with-database=no \
	--with-postgresql=no \
	--with-ldap=no \
	--with-hesiod=no \
	%{?_with_gtk: --with-gtk --with-gnome} \
	%{!?_with_gtk: --with-athena=3d --with-widgets=athena --with-menubars=lucid --with-scrollbars=lucid --with-dialogs=athena } \
	--with-msw=no \
	--with-xfs=no \
%ifarch alpha ia64 ppc64
	--with-system-malloc \
%endif
%ifarch ia64
	--without-modules \
%endif
	--pdump
# toplevel smp build fails
make %{?_smp_mflags} -C lib-src
make src/Emacs.ad.h
make %{?_smp_mflags} -C src
EMACSLOADPATH=$PWD/lisp make # EMACSDEBUGPATHS=yes

%install
rm -rf %buildroot
# adjust mandir
export EMACSLOADPATH=$PWD/lisp
# make docdir
mkdir -p %buildroot%{exectop}/doc
%makeinstall mandir=%buildroot%{_mandir}/man1 docdir=%buildroot%{exectop}/doc/

# install nox files
mkdir -p %buildroot%{exectop}/doc-nox
cp -p src/xemacs-nox-%{version} %buildroot%{_bindir}
ln -s xemacs-nox-%{version} %buildroot%{_bindir}/xemacs-nox
cp -p src/DUMP-nox %buildroot%{exectop}/doc-nox/DUMP
cp -p lib-src/DOC-nox %buildroot%{exectop}/doc-nox/DOC
cp -p lib-src/config.values-nox %buildroot%{exectop}/doc-nox/config.values

mv %buildroot%{_bindir}/xemacs-%{version}-*.dmp %buildroot%{exectop}/doc/DUMP

# these clash with GNU Emacs
mv %buildroot%{_bindir}/{etags,etags.xemacs}
rm -f %buildroot%{_bindir}/{ctags,rcs-checkin,b2m}
rm %buildroot%{_mandir}/man1/{etags.1,ctags.1}

rm -f %buildroot%{_infodir}/dir

#These clash with other packages
rm -f %buildroot%{_infodir}/info*
rm -f %buildroot%{_infodir}/standards*
rm -f %buildroot%{_infodir}/termcap*

install -m 755 -d %buildroot%{_datadir}/applications
install -m 644 %SOURCE6 %buildroot%{_datadir}/applications/net-xemacs.desktop

# Lockdir
mkdir -p %buildroot%{_localstatedir}/lock/xemacs

# site-start.el
mkdir -p %buildroot%{pkgdir}/site-packages/lisp/site-start.d/
install -m 644 %SOURCE9 %buildroot%{pkgdir}/site-packages/lisp/site-start.el

# default.el
install -m 644 %SOURCE24 %buildroot%{pkgdir}/site-packages/lisp

# default user init file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel/.xemacs
install -m 0644 %SOURCE23 $RPM_BUILD_ROOT%{_sysconfdir}/skel/.xemacs/init.el

# icon
mkdir -p %buildroot%{_datadir}/pixmaps/
install -m 644 etc/xemacs-icon.xpm %buildroot%{_datadir}/pixmaps/xemacs.xpm

# Make sure nothing is 0400
chmod -R a+rX  %buildroot%{_prefix}

# filter out buildroot from finder-inf.el
sed -i -e "s|%buildroot||" %buildroot%{_datadir}/xemacs-%{version}/lisp/finder-inf.el
[ -x %{_bindir}/xemacs ] && python %SOURCE22 %buildroot%{_datadir}/xemacs-%{version}/lisp/finder-inf.el

# separate files
rm -f *.files base-files el-files info-files
echo "%defattr(-,root,root)" > base-files
echo "%defattr(-,root,root)" > el-files
echo "%defattr(-,root,root)" > info-files

find %buildroot%{_datadir}/xemacs-%{version} %buildroot%{pkgdir} \( -type f -not -name '*.el' -fprint base-non-el.files \) -o \( -type d -name info -fprint info.files -prune \) -o \( -type d -fprintf dir.files "%%%%dir %%p\n" \) -o \( -name '*.el' \( -exec test -e '{}'c \; -fprint el-bytecomped.files -o -fprint base-el-not-bytecomped.files \) \)

# remove buildroot prefix from files
sed -i -e "s|%buildroot||" *.files
# make site-packages lisp files config files
perl -pe 's|^(.+/site-packages/lisp/.+)$|%%config $1|' base-el-not-bytecomped.files
# combine the file lists
cat base-*.files dir.files >> base-files
cat el-*.files dir.files >> el-files
cat info.files >> info-files

%post common
alternatives --install %{_bindir}/etags etags %{_bindir}/etags.xemacs 40

%preun common
if [ "$1" = 0 ]; then
  alternatives --remove etags %{_bindir}/etags.xemacs
fi

%post info
for file in xemacs cl internals lispref new-users-guide; do
  /sbin/install-info %{_infodir}/$file.info %{_infodir}/dir
done
 
%preun info
if [ "$1" = "0" ]; then
  for file in xemacs cl internals lispref new-users-guide; do
    /sbin/install-info --delete %{_infodir}/$file.info %{_infodir}/dir
  done
fi

%files
%defattr(-, root, root)
%{_bindir}/xemacs
%{_bindir}/xemacs-%{version}
%{_bindir}/gnuclient
%{exectop}/*/gnuserv
%{exectop}/doc
%{_datadir}/applications/*

%files nox
%defattr(-, root, root)
%{_bindir}/xemacs-nox
%{_bindir}/xemacs-nox-%{version}
%{exectop}/doc-nox

%files common -f base-files
%defattr(-, root, root)
%doc INSTALL README COPYING GETTING.GNU.SOFTWARE PROBLEMS CHANGES-release
%doc etc/NEWS etc/MAILINGLISTS BUGS README.packages
%doc etc/TUTORIAL
%exclude %{_bindir}/xemacs*
# needs X libs
%exclude %{_bindir}/gnuclient
%{_bindir}
%exclude %{exectop}/doc*
# needs X libs
%exclude %{exectop}/*/gnuserv
%{exectop}
%{_datadir}/pixmaps/xemacs.xpm
%config %{_sysconfdir}/skel/.xemacs
%{_mandir}/*/*
%attr(1777, root, root) %{_localstatedir}/lock/xemacs

%files el -f el-files
%defattr(-, root, root)

%files info -f info-files
%defattr(-, root, root)
%{_infodir}/*

%clean
rm -rf %buildroot

%changelog
* Wed Jul 11 2007 Marcela Maslanova <mmaslano@redhat.com> - 21.4.15-11.EL4
- Resolves: rhbz#197591, rhbz#173247

* Fri Feb 25 2005 Jens Petersen <petersen@redhat.com>
- use PreReq not Requires(post,preun) for install and uninstall script 
  requirements (Axel Thimm, 147791)
- use sed instead of perl to fixup filelists
- default to unified diff in .xemacs/init.el

* Sat Feb  5 2005 Jens Petersen <petersen@redhat.com> - 21.4.15-10.EL.1
- fix CAN-2005-0100 movemail vulnerability with
  xemacs21-movemail-popfmt-CAN-2005-0100.patch (Max Vozeler, 146706)

* Tue Jan 25 2005 Jens Petersen <petersen@redhat.com>
- workaround xorg-x11 issue with iso-level3-shift (Ville Skyttä, 144601)
  - add xemacs-21.4.16-xutil-keysym-144601.patch

* Thu Nov 18 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-10
- show xemacs again in the desktop menu (132567)

* Mon Oct 18 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-9
- fix etag alternatives removal when uninstalling (Karsten Hopp, 136137)

* Wed Oct  6 2004 Jens Petersen <petersen@redhat.com>
- xemacs-el no longer requires xemacs for -nox users
  (Lars Hupfeldt Nielsen, 134479)

* Thu Sep 30 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-8
- cleanup and update .desktop file
- make xemacs not appear in the desktop menu (Seth Nickell,132567)
- move the desktop file from -common to main package
- etags is now handled by alternatives (92256)
- no longer require ctags
- turn back on wnn support and add xemacs-21.4.15-wnnfix-128362.patch
  (Yukihiro Nakai, 128362)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun  7 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-6
- don't link with -export-dynamic on ia64 to stop dumped function pointers from
  breaking (Roland McGrath & Jakub Jelinek, #106744)
- disable dynamic module support on ia64
- change the xemacs-info uninstall script from %%postun to %%preun and move
  the post/preun install-info requires to xemacs-info
- simplify coding-system setup somewhat in site-start.el
- fix up the desktop file (Ville Skyttä, 123135)
- xemacs-nox now requires xemacs-sumo
- build without xfs since it seems to cause some problem with fonts missing

* Wed May  5 2004 Jens Petersen <petersen@redhat.com>
- move install-info requirement to xemacs-info
- drop unnecessary Canna-libs requirement

* Fri Apr  9 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-5
- add xemacs-21.4.15-pui-120437.patch to fix pui problems in 21.4.15
  (Ville Skyttä)
- buildrequire gpm-devel and build xemacs-nox with gpm (Ville Skyttä,120437)
- separate patches into lisp and non-lisp patches
- move gnuclient and gnuserv from xemacs-common to xemacs since they
  require X libs (Ville Skyttä,110649)

* Wed Apr  7 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-4
- add xemacs-nox subpackage (Jamie Zawinski, #110649) and xemacs-common
  - add xemacs-debian-docdir-dump.patch and put dump files in docdir
  - xemacs and xemacs-nox require xemacs-common
  - define exectop and use it
  - one configure and build for xemacs-nox and one for xemacs
- update package descriptions
- don't create backup of patched Emacs.ad since it gets installed, and
  drop Canna-devel version requirement (Ville Skyttä, #115270)
- default ispell dictionary to english for CJK locale, since aspell doesn't
  support widechars (#103145)
- rebuild against latest Canna built with xorg-x11 xmkmf (Kaj Niemi, #119562)
- simplify coding-system setup
- enable gpm for xemacs package

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 21.4.15-3
- Removed bogus Requires: XFree86-libs, and other similar library runtime
  dependancies, because rpm find-requires automatically puts dependancy info
  in the binary rpms which are on the .so files rather than a specific
  package.  The XFree86-libs removal is necessary in order to replace XFree86
  with xorg-x11 in an X11 implementation agnostic fashion.  (#118483)
- Changed "Requires(post,preun): info" dependancy to
  "Requires(post,postun): /sbin/install-info"

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  5 2004 Jens Petersen <petersen@redhat.com> - 21.4.15-1
- update to 21.4.15
- improve language and coding-system startup in site-start.el like
  lang-coding-systems-init.el in emacs package
- build without wnn support
- drop xemacs-21.4.13-regexp-stack-overflow-107402.patch

* Sat Dec 27 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-6
- set EMACSLOADPATH during final make and install so that it is buildable
  even when xemacs isn't installed
- disable ldap, postgresql and dbm support for now (#110649) [jwz]

* Sat Dec 13 2003 Jeff Johnson <jbj@jbj.org>
- rebuild against db-4.2.52.

* Fri Nov  7 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-5
- add a "--without mule" rpmbuild option for the 8bit dead-hards (#102718)
  which disables mule and Input Method support
- only load un-define in site-start.el when there is mule support

* Thu Nov  6 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-4
- increase regexp re_max_failures to 40000 in
  xemacs-21.4.13-regexp-stack-overflow-107402.patch (#107402) [Rik Faith]

* Mon Oct 27 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-3
- no longer obsolete xemacs-sumo-el for xemacs-el [thanks to Axel Thimm]
- fix "Stack overflow in regexp matcher" (#107402) [reported by Rik Faith,
  patch by Stephen J. Turnbull]

* Fri Oct 17 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-2
- require Canna-libs not Canna
- move CJK X resource files to xemacs-sumo
- no longer need to define ispell program to be aspell

* Thu Sep 25 2003 Jeff Johnson <jbj@jbj.org> - 21.4.14-1.1
- rebuild against db-4.2.42.

* Mon Sep  8 2003 Jens Petersen <petersen@redhat.com> - 21.4.14-1
- update to 21.4.14
- default require-final-newline to t in site-start.el (#102022)

* Tue Sep  2 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-5
- default require-final-newline to ask in site-start.el
  and remove redundant setting of next-line-add-newlines to nil in default.el
  (#102022) [reported by Ville Skyttä]

* Mon Jul 14 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-4
- build with --debug=yes by default (suggested by Ville Skyttä)

* Sun Jul 13 2003 Ville Skyttä <scop@xemacs.org>
- add xemacs-21.4.13-utf8-fontsets.patch to eliminate warning about missing
  charsets in utf-8 locale with Xaw
- motif-specific xemacs-21.4.13-EmacsFrame-fontlock.patch no longer needed

* Fri Jun 27 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-3
- add xemacs-21.4.13-dump-paths-lispdir.patch, so that the source lisp files
  get re-bytecompiled and dumped, not the installed ones
- use Athena/Xaw3d instead of motif for dialogs and widgets
- buildrequirements fixes
- use _localstatedir

* Sat May 31 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-2
- add xemacs-21.4.13-EmacsFrame-fontlock.patch to stop font-lock being
  very slow (Ville Skyttä)

* Fri May 30 2003 Ville Skyttä <scop@xemacs.org>
- Use upstream icon in desktop entry, add missing semicolon to Categories.
- Have backup-by-copying-when-mismatch default to true in site-start.el.
- Mark init files as %%config.

* Thu May 29 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-1
- update to 21.4.13
  - rcs2log-update.patch no longer needed
- buildrequire recent xemacs-sumo
- set system-uses-terminfo in default.el (#76102)
- use defvar in default.el not to override user's settings
- default gnus-default-article-saver to mbox format (#90604)
- add aspell as ispell program in site-start.el (#88262)
- add rpmbuild option "--with gtk" allowing building with gtk
- exclude s390x temporarily

* Mon May 12 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-12
- sumo packages moved to separate xemacs-sumo package

* Sat May 10 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-11
- build with system malloc on ppc64

* Tue Apr 22 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-10
- obsoletes ruby-mode-xemacs (#84673)
- move obsoletes xemacs-sumo-el to -el subpackage
- fix links in jde html documentation (#89499)

* Tue Apr 15 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-8
- comment out ja and ko menubar translations in X resource files for now,
  to avoid startup hanging in utf-8 locale (#88860)
- use default menubar font in ja and ko locale
- in a UTF-8 locale set default coding systems to utf-8 (partly #77130
  and #74227)
- set Info-directory-list in site-start.el again
- move psgml setup into site-start.el
- move previous contents of "dotxemacs-init.el" to new "default.el"

* Mon Mar 31 2003 Akira TAGOH <tagoh@redhat.com> 21.4.12-7
- Rebuild against the latest Canna.

* Thu Feb 20 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-6
- default browse-url to use htmlview and update psgml-html browser
  defaults (#84262)

* Tue Feb 11 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-5
- build with system-malloc on alpha and ia64
- skip redundant check-features target

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-4
- fix "libexec dir" to be under lib64 on multilib archs
- set default ftp to be non-kerberos in site-start.el
- update sumos to 2003-02-05
- mspec patch and rpm-spec-mode update no longer needed
- buildrequire autoconf213
- add ".xemacs/init.el" to /etc/skel
- skip redundant check-features target on s390 and s390x

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-2
- fix `paths-emacs-root-p' (find-paths.el) to look in share not lib
- don't generate backup files when updating autoloads
- try startup notification in desktop file
- cleanup desktop file to use name XEmacs and add encoding key

* Fri Jan 17 2003 Jens Petersen <petersen@redhat.com> 21.4.12-1
- update to 21.4.12 bugfix release (21.4 series now declared stable branch)
- renumbered sumo package patches to be greater than 100
- install sumo packages by copying rather than moving
- patch sh-script.el to append m?spec entry to auto-mode-alist 
- avoid ppc.ldscript and build on ppc
- remove games that we shouldn't ship
- update to latest rcs2log
- update to latest rpm-spec-mode.el
- use _smp_mflags for lib-src and src
- run batch-update-directory and batch-byte-recompile-directory on sumo lisp
  dirs
- improve datadir/xemacs-version/ ownership

* Sat Jan  4 2003 Jens Petersen <petersen@redhat.com> 21.4.11-1
- update to 21.4.11
- don't configure with union-type, since it causes runtime problems apparently
- only do postun info dir deletions when uninstalling

* Wed Jan  1 2003 Jens Petersen <petersen@redhat.com> 21.4.10-6
- move apel to separate package and require it
- renamed psgml-init.el-xemacs to xemacs-psgml-init.el
- use datadir in site-start.el
- really include the movemail mkstemp patch
- use mapc to load site-start.d files

* Tue Dec 31 2002 Ville Skyttä <scop@xemacs.org>
- New Sumos (2002-12-30).
- Use `construct-emacs-version-name' in `paths-emacs-root-p' (find-paths.el),
  fixing "Couldn't find obvious default for XEmacs hierarchy" warnings
  (as in XEmacs 21.5).
- Move site-start stuff to site-packages.
- Don't set Info-directory-list in site-start.el.
- Don't use --pkgdir, it's ignored.  Don't pass pkgdir to makeinstall.
- Fix source tarball URLs.
- Don't override the defcustom in psgml-init.el, set its default value instead.
- Add rpmbuild option: "--with debug" for building a debug-enabled XEmacs.

* Sun Dec 29 2002 Jens Petersen <petersen@redhat.com>
- updates package sumos to 2002-12-26 release

* Mon Dec 23 2002 Jens Petersen <petersen@redhat.com> 21.4.10-5
- patch find-paths.el to search in datadir
- setup lisp packages under datadir not libdir
- use buildroot macro instead of RPM_BUILD_ROOT
- drop local configure macro
- fix buildrequires and requires
- list configure options one-per-line
- improve psgml-init.el catalog setup
- remove and add lisp packages with package-admin
- rebyte-compile lisp packages
- keep etags as etags.xemacs (#78106)
- don't bother removing non-existent udp2tcp nor .cvsignore files
- simply filelist generation to a single find search pass
- put core .el files in -el package
- put package info files into -info package
- don't create backup files when patching in lisp packages tree
- don't explicitly gzip lisp package info files
- don't mark the applications files noreplace
- exclude ppc, since __init_array_start undefined

* Wed Dec 18 2002 Jens Petersen <petersen@redhat.com>
- patch egg-wnn to default to unix domain socket (#79826)
  [patch from ynakai@redhat.com]
- add ia64 patch from SuSE
- use mkstemp in movemail

* Tue Nov 19 2002 Jens Petersen <petersen@redhat.com>
- apply jlatex autodetect patch correctly and drop append to tex-site.el
- default to pTeX and pLaTeX for Japanese TeX and LaTeX

* Mon Nov 18 2002 Jens Petersen <petersen@redhat.com> 21.4.10-3
- backout uncommenting of deactivate-mark (#77696)
- update psgml dtd catalog path in psgml-init.el (#78022)
  [reported by ville.skytta@iki.fi]
- build with --use-union-type (#78024)
  [suggested by ville.skytta@iki.fi]

* Fri Nov 15 2002 Jens Petersen <petersen@redhat.com>
- fix autodetection of jlatex (#69129)

* Tue Nov 12 2002 Elliot Lee <sopwith@redhat.com> 21.4.10-2
- build on x86_64

* Mon Nov 11 2002 Jens Petersen <petersen@redhat.com> 21.4.10-1
- update to 21.4.10
- update sumos to 2002-09-19
- no longer backout mule-ucs package
- encode this file in utf-8
- xemacs-21.1.14-xfs.patch no longer needed
- use _libdir, _datadir, _bindir, _prefix
- exclude x86_64 (requires Canna)
- own /usr/lib/xemacs/{,mule-packages} and /usr/X11R6/lib/X11/<locale> (#73982)
  [reported by enrico.scholz@informatik.tu-chemnitz.de]
- fix default italic font size (#75275)
  [reported with fix by ville.skytta@iki.fi]
- update ja menubar translations in ja locale X resource file (#76068)
  [from ynakai@redhat.com]
- update ko locale X resource file (#76072) [from ynakai@redhat.com]
- add pkgdir rpm macro for packages dir
- uncomment deactivate-mark in simple.el (#77696)

* Mon Aug 26 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-16
- some cleanups - and remove the info tarball, it's now part 
  of the base tarball. Wow, the package gets smaller. (#72480)

* Mon Aug 19 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-15
- Bug in specfile from -14 gave bug on startup (#71743)

* Thu Aug 15 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-14
- Use utf-8 by default for input/output (#71584 )
- Make it not segfault when handling utf-8 (#71589)

* Wed Aug  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-13
- Add openmotif-devel to buildrequires, as it will use it for widgets 
  if it finds it

* Fri Aug  2 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-12
- Don't package po-mode separately, it's now in sumo
- Compile with drag'n'drop support
- Use the bundled rpm-spec-mode, it has some adaptions for XEmacs

* Wed Jul 31 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-11
- Don't use a separate ispell.el file anymore - the included one is newer
- Fix html-mode (#64826)

* Tue Jul 23 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-10
- Update lisp tarballs
- desktop file fixes (#69542)
- Add bdb support (#65640)

* Mon Jul  8 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-9
- Make it provide ruby-mode-xemacs (request from tagoh)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-7
- #66835

* Wed May 29 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-6
- Make it build... Evil.
- Exclude IA64
- Upgrade sumo tarballs to 2002-05-22

* Fri May 24 2002 Jens Petersen <petersen@xemacs.org> 21.4.8-5
- Build using portable dumper, so that build with glibc-2.3 malloc is ok

* Mon May 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-2
- Remove the s390 patches so it builds on s390 :)

* Fri May 10 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-1
- 21.4.8

* Tue May  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-9
- Rebuild... chmod -x pstogif to work around an rpm bug until 
  it's fixed (#64320)

* Tue Apr 23 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-8
- New sumo packages

* Thu Feb 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-7
- Rebuild

* Tue Jan 29 2002 Jens Petersen <petersen@redhat.com> 21.4.6-6
- Remove skk package, since it conflicts with ddskk-xemacs (newer)

* Thu Jan 24 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-5
- New sumos

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-3
- Fix fontlist pattern in Emacs.ad.Japanese.
- CHANGES-beta is now CHANGES-release.
- Obsolete xemacs-sumo xemacs-sumo-el

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-2
- Don't obsolete flim.

* Mon Dec 17 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-1
- 21.4.6
- New sumo packages
- disable alpha

* Wed Nov 14 2001 Jens Petersen <petersen@redhat.com> 21.4.5-2
- Add -znocombreloc configure option to override new ld default.

* Tue Nov  6 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.4.5-1
- 21.4.5. It builds on IA64 and fixes #55578

* Thu Oct 18 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-26
- Updated the sumo tarballs

* Tue Oct 16 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-25
- Separeted an elisp of mew.

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 21.1.14-24
- fix to build on s390/s390x

* Fri Sep 14 2001 Jens Petersen <petersen@redhat.com> 21.1.14-23
- Restored teg's name in changelogs
- Added xemacs file variable for encoding at start of file to avoid this
  happening again
- Restored (obsolete) atype.el and file-detect.el into apel-10.3 package,
  required by semi through rmail dependency

* Fri Sep  7 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-22
- Fixed provide version of apel
- Fixed replaced apel.

* Thu Sep  6 2001 Jens Petersen <petersen@redhat.com> 21.1.14-21
- replaced apel-10.2 from sumo with apel-10.3

* Mon Aug 27 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-20
- Remove buildroot-paths from finder-inf.el
- remove various multibyte comments from finder-inf.el if necessary, 
  so it will compile even if XEmacs is installed. (#51985)

* Wed Jul 25 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-19
- Added app-defaults for Korean and simplified Chineese
  (#49857)

* Fri Jul 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Don't have a special configure define for alpha anymore - 
  they converged, and weren't different anymore. (#49209)

* Thu Jul 12 2001 Trond Eivind Glomsrød <teg@redhat.com>
- add more libraries to buildprereq
- replace individually updated lisppackages with the official collection

* Mon Jul  9 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Reenable canna and wnn

* Tue Jun 26 2001 SATO Satoru <ssato@redhat.com>
- Wanderlust and SEMI are splitted off (wl-xemacs, semi-xemacs)

* Fri Jun 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Use fontset in the resource file, since we use "--with-xfs" (#45499)
- Include po-mode, adjusted for XEmacs by 
  enrico.scholz@informatik.tu-chemnitz.de

* Wed Jun 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- More dependencies added to buildrequires
- disable wl-init.el, as we don't want to load mime-setup
- cleanups in site-start.el

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- merge s390x patch from <oliver.paukstadt@millenux.com>

* Mon Jun  4 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Make it build (don't run autoconf, disable Japanese)
- New rpm-spec-mode which fixes #43323

* Tue Apr 24 2001 Trond Eivind Glomsrød <teg@redhat.com>
- New sumo packages

* Mon Mar 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed semi's mailcap issues.

* Fri Mar 16 2001 Trond Eivind Glomsrød <teg@redhat.com>
- remove the mailcap lisp files from semi-xemacs - they break stuff
- don't include our own sh-script files anymore, bash is now bash2

* Thu Mar  8 2001 Akira TAGOH <tagoh@redhat.com>
- 21.1.14-8
- Merged semi-xemacs into the main package, as
  wl (already bundled) needs it.
- Fixed the byte-compile for wl.

* Fri Mar 02 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Feb 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- minor fixes to psgml-init.el

* Mon Feb 12 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Move eieio.el to the main package (#26753)
- Prereq info

* Thu Feb  8 2001 Trond Eivind Glomsrød <teg@redhat.com>
- add init file for mew

* Mon Feb  5 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Obsolete xemacs-static

* Fri Feb 02 2001 Trond Eivind Glomsrød <teg@redhat.com>
- obsolete xemacs-noX and xemacs-mule

* Sun Jan 29 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.14

* Wed Jan 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- enable Wanderlust

* Tue Jan 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- added Japanese support to .desktop file

* Mon Jan 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- enable canna, wnn4, wnn6
- improve app-defaults file for Japanese and traditional
  Chineese

* Fri Jan 19 2001 Trond Eivind Glomsrød <teg@redhat.com>
- turn on --with-xfs to improve support for Japanese
- copy the app-defaults to /usr/X11R6/lib/X11/app-defaults
- add app-defaults for traditional Chineese

* Mon Jan 08 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.13
- update the rpm spec mode
- removed the alpha patch
- remove the elc sourcefile, these can be generated during the build 
  process

* Tue Jan 02 2001 Trond Eivind Glomsrød <teg@redhat.com>
- make sure it doesn't use canna, wnn or wnn6 by default

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- bzip2 sources

* Tue Dec 12 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix psgml mode by adding the psgml-init.el file from the
  psgml package. Should fix #21827
- add rpm-spec-mode

* Sat Dec 09 2000 Than Ngo <than@redhat.com>
- added s390 port

* Mon Dec 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- make sure that the info pages in /usr/lib/xemacs/mule-packages/info/ 
  are compressed

* Fri Dec 01 2000 Trond Eivind Glomsrød <teg@redhat.com>
- add "--with-xim=xlib" to configure to avoid linking with Motif

* Thu Nov 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- move site-start.el to /usr/lib/xemacs/xemacs-packages/lisp/site-start.el
  (it shouldn't depend on xemacs version)
- add new directory  /usr/lib/xemacs/xemacs-packages/lisp/site-start.d
- change run .el files here on startup 
- revert to "normal" xemacs 

* Tue Nov 28 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix the "restore cursor" problem I submitted myself before I
  started here(#9853). Sometimes, you're digging your own grave
  without even knowing.

* Tue Nov 14 2000 Trond Eivind Glomsrød <teg@redhat.com>
- new sumo tarballs
- new xemacs tarball
- fixing of the improved .desktop file 
- include xemacs.png file (from kdebase) to be used with
  above file

* Tue Oct 17 2000 Trond Eivind Glomsrød <teg@redhat.com>
- new and better xemacs.desktop file

* Tue Oct 10 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use xemacs package from 2000-09-25
- move tex-site.el to main package (#18494)

* Tue Sep 12 2000 Trond Eivind Glomsrød <teg@redhat.com>
- remove README.i386-pc-linux - it's no longer anywhere
  near accurate
- update sumo package to 2000-09-04
- use mule by default, like we do for GNU Emacs
- use gtk-xemacs - it's in the XEmacs cvs now
- move the xemacs desktop file to "Applications"
- specify ldap (it was just detected before)
- enable native sound
- remove a binary which somehow had made it into the lisp package,
  compiled with libraries we don't have

* Thu Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- change locking mechanism to lockf

* Thu Aug 17 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use ispell.el from GNU Emacs, which work better
  than the ones found at the xemacs ftp site or at the 
  author's site. Fixes bug #16071

* Sun Aug 06 2000 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.12 bugfix release
- removed security patch as it is now included
- gzip info packages in the package directory

* Tue Jul 18 2000 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.11
- upgrade(? - it wasn't specified) to sumo tarball from 2000-05-24
- add a sitestart.rl file, for configuration of info and spelling
- fixed the ownership of lots of package directories (#14197)
- disabled ia64 patch as they know have their own support...
- ... which doesn't work. Excludearch coming up.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- don't use xemac to compile some lisp-source in byte code 

* Sun Jul 02 2000 Trond Eivind Glomsrød <teg@redhat.com>
- include the files in the %%{_infodir}, not the directory

* Wed Jun 28 2000 Than Ngo <than@redhat.de>
- add xemacs-extras xemacs-packages-el xemacs-packages in obsoletes
  to resolse conflicts (#13120)
- add missing stuff (#13176)

* Tue Jun 27 2000 Trond Eivind Glomsrød <teg@redhat.com>
- don't specify -O0
- do it anyway for IA64

* Tue Jun 20 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Tue Jun 20 2000 Trond Eivind Glomsrød <teg@redhat.com>
- override optflags, use -O0 to avoid compiler bugs
  (last build, actually)
- don't include some info files which clash with others

* Mon Jun 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- redid most of the spec file

* Mon Jun 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- build in the main tree
- disabled static package (it was partially disabled...)
- don't change ownership while installing
- updated some of the documentation (s/21.1.8/21.1.10/)
- don't build on IA64
- use %%{_mandir} instead of hardcoding /usr/share/man

* Mon May 29 2000 Ngo Than <than@redhat.de>
- update to 2.1.10 for 7.0
- fix permission
- put man pages in correct place
- fix xemacs to build with gcc-2.96 (thanks Jakub)

* Wed May 24 2000 Ngo Than <than@redhat.de>
- fix a security problem in key strokes.
- fix a permission problem. XEmacs doesn't set proper permissions for the slave PTY device.
- remove xemacs static

* Thu Mar 23 2000 Ngo Than <than@redhat.de>
- updated to 21.1.9

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fixed Bug #7694, #9149

* Tue Jan 18 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space
- fixed so that alpha builds properly
- removed the --with-xface stuff.

* Wed Dec 1 1999 Tim Powers <timp@redhat.com>
- updated to 21.1.8
- gzip man pages
- now builds for alpha :)

* Thu Oct 21 1999 Cristian Gafton <gafton@redhat.com>
- include /var/lock/xemacs as the lockdir to make it stop whining

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- fixed problem with dirs not being removed during uninstall

* Sun Jul 11 1999 Tim Powers <timp@redhat.com>
- updated to version 21.1.4
- added the elc and info src.
- modified spec as needed
- had a beer after building

* Fri May 14 1999 Cristian Gafton <gafton@redhat.com>
- version 21.1.2
- require ctags

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2, didn't use a pre update. 

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated to 20.4
- new package xemacs-mule with mule support
- Changed spec file almost completely

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- refixed perl problem.
- added wmconfig

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- configure for ncurses
- removed sound support on i386
- moved buildroot to /var/tmp
